# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_175_spw0.clean*')
tclean(vis=['X18db_Sgr_B2N.ms_FluxEqual_175','X320_Sgr_B2N.ms_FluxEqual_175'],
	imagename='SgrB2_175_spw0.clean', # *see below
        selectdata=True,
        spw='0',
	field='2',                      # SgrB2 - may be 3 or other number
        specmode='cube',
	start=400,                       
        nchan=50,
        outframe='lsrk',
	gridder='mosaic',               # Recommended for mixed antenna sizes
        pblimit=0.05,
	imsize=800,
        threshold='60mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# * If you have several EBs at the same tuning, you can give a list as
# * ['uid...','uid...']

# Make primary-beam corrected FITS images (unidentified line): 

imlist=['SgrB2_175_spw0.clean']
for i in imlist:
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
